{"title":"Get purchaseInvoices (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_purchaseinvoice_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_purchaseinvoice_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_purchaseinvoice_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets a purchase invoice object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get purchaseInvoices (v1.0)","slug":"get-purchaseinvoices-v10","at":0,"chars":2017},{"level":2,"title":"HTTP request","slug":"http-request","at":123,"chars":215},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":338,"chars":79},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":417,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":486,"chars":135},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":621,"chars":1071},{"level":2,"title":"Related information","slug":"related-information","at":1692,"chars":325}],"text":"# Get purchaseInvoices (v1.0)\nRetrieve the properties and relationships of a purchase invoice object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/purchaseInvoices({id})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and a purchaseInvoices object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/purchaseInvoices({id})\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"id\": \"id-value\",\n  \"number\": \"1009\",\n  \"invoiceDate\": \"2015-12-31\",\n  \"dueDate\": \"2016-01-31\",\n  \"vendorInvoiceNumber\": \"\",\n  \"vendorId\": \"vendorId-value\",\n  \"vendorNumber\": \"GL00000008\",\n  \"vendorName\": \"GL00000008\",\n  \"buyFromAddress\": {\n    \"street\": \"\",\n    \"city\": \"\",\n    \"state\": \"\",\n    \"countryLetterCode\": \"\",\n    \"postalCode\": \"\"\n  },\n  \"currencyCode\": \"GBP\",\n  \"paymentTermsId\": \"3bb5b4b6-ea4c-43ca-ba1c-3b69e29a6668\",\n  \"shipmentMethod\": \"\",\n  \"pricesIncludeTax\": false,\n  \"discountAmount\": 0,\n  \"discountAppliedBeforeTax\": true,\n  \"totalAmountExcludingTax\": 6825.6,\n  \"totalTaxAmount\": 682.56,\n  \"totalAmountIncludingTax\": 7508.16,\n  \"status\": \"Draft\",\n  \"lastModifiedDateTime\": \"2017-03-17T19:02:22.043Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nPurchase Invoice<../resources/dynamics_purchaseinvoice>\nCreate Purchase Invoice<dynamics_create_purchaseinvoice>\nUpdate Purchase Invoice<dynamics_purchaseinvoice_update>\nDelete Purchase Invoice<dynamics_purchaseinvoice_delete>"}